package straightparse;

public class Test {
    public static void main(String[] args) {
	String filename = "test.str";
	errorMsg.ErrorMsg errorMsg = new errorMsg.ErrorMsg(filename);
	java.io.InputStream inp;
	try {
	    inp = new java.io.FileInputStream(filename);
	} catch (java.io.FileNotFoundException e) {
	    throw new Error("File not found: " + filename);
	}
	Lexer lexer = new Yylex(inp,errorMsg);
	
	Symbol token;
	
	try {
	    token = lexer.nextToken();
	    while (token.getKind() != Sym.EOF) {
		System.out.println(token.toString());
		token = lexer.nextToken();
	    }
	}
	catch (java.io.IOException e) {}
    }
}